Description

The appearance of menus looks different with the Winamp interface.

Especially the background colour of the selection is not the same.

With some themes the text can be even unreadable (-> screenshots with Ubuntu).

History

#1 - March 09, 2013 20:57 - John Lindgren

Any idea why this happens?  Those colors are all set by GTK+; we don't change them.

#2 - March 09, 2013 21:09 - Michael Schwendt

This is interesting. It's reproducible with gtk3-3.7.12 and Fedora 19 development. And worse, because the default GNOME 3 colouring results in grey

menus and grey highlighting, so the current selection cannot be seen well (except for the slightly changing shades of grey for keyboard shortcut text

or submenu arrows).

Sometimes when opening a dialog in the Winamp interface, the top entry is blue (as it should be), but doesn't react to mouse pointer movement.

Highlighting of the entries below it is grey on grey.

#3 - March 10, 2013 00:44 - Thomas Lange

John Lindgren wrote:

Any idea why this happens?  Those colors are all set by GTK+; we don't change them.

 

No, I have no clue what's wrong here.

#4 - March 10, 2013 23:13 - Michael Schwendt

Went back to older dist releases to see when this has started:

not reproducible: Fedora 17 with gtk3-3.4.4-1.fc17.x86_64 and a test-build of Audacious 3.4.4

reproducible: Fedora 18 with gtk3-3.6.4-1.fc18.x86_64 and Audacious 3.4.4

#5 - March 13, 2013 14:33 - Thomas Lange
Bisected and reported:

https://bugzilla.gnome.org/show_bug.cgi?id=695772

#6 - March 16, 2013 00:32 - Thomas Lange

- Status changed from New to Closed

Fixed upstream: https://git.gnome.org/browse/gtk+/commit/?id=f9f6c4fa49cb630f169c2fa4ce6b4ed2b44be8f3
